%define	nam	ypserv
%define	ver	2.9
%define	rel	3

## default of libexedir is %{_libdir}/yp (described in configure.in)
%define _libexecdir	%{_libdir}/yp

Summary: The NIS (Network Information Service) server.
Summary(ja): NIS(ͥåȥ󥵡ӥ)С
Summary(zh_CN): NIS(Ϣ).
Name: %{nam}
Version: %{ver}
Release: %{rel}
License: GNU
Group: System Environment/Daemons
Source0: ftp://ftp.kernel.org/pub/linux/utils/net/NIS/ypserv-%{ver}.tar.bz2
Source1:      ypserv-ypserv.init
Source2:      ypserv-yppasswdd.init
Source3:      ypserv-ypxfrd.init
Requires: make portmap gawk
BuildPrereq: gdbm-devel
URL: http://www.suse.de/~kukuk/
Prereq: /sbin/chkconfig
#Patch0: ypserv-1.3.11-ypMakefile.patch
#Patch1: ypserv-install.patch
#Patch2: ypserv-1.3.11-header.patch
#Patch3: ypserv-children.patch
#Patch4: ypserv-1.3.9-leak.patch
Obsoletes: yppasswd
BuildRoot: /var/tmp/%{name}-%{version}-root
Serial: 2003071101
#NoSource: 0

%description
The Network Information Service (NIS) is a system which provides network
information (login names, passwords, home directories, group information)
to all of the machines on a network.  NIS can enable users to login on
any machine on the network, as long as the machine has the NIS client
programs running and the user's password is recorded in the NIS passwd
database.  NIS was formerly known as Sun Yellow Pages (YP).

This package provides the NIS server, which will need to be running on
your network.  NIS clients do not need to be running the server.

Install ypserv if you need an NIS server for your network.  You'll also
need to install the yp-tools and ypbind packages onto any NIS client
machines.

%prep
%setup -q
#%patch0 -p0 -b .org
#%patch1 -p1 -b .install
#%patch1 -p1 -b .ndbm
#%patch2 -p1 -b .header
#%patch3 -p1 -b .children
#%patch4 -p1 -b .sec-1

%build
rm -f ./config.cache
%configure --enable-fqdn --enable-yppasswd

make LIBDBM=%{_libdir}/libgdbm.a

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
DOCDIR=%{_defaultdocdir}/yp
install -d -m 755 $RPM_BUILD_ROOT${DOCDIR}
install -d -m 755 $RPM_BUILD_ROOT${DOCDIR}/ypserv
make install DESTDIR=$RPM_BUILD_ROOT
#install contrib/ypslave $RPM_BUILD_ROOT/usr/sbin/
install -m 644 etc/ypserv.conf $RPM_BUILD_ROOT/etc/
install -m 644 etc/securenets $RPM_BUILD_ROOT/var/yp
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/ypserv
install -m 755 %SOURCE2 $RPM_BUILD_ROOT/etc/rc.d/init.d/yppasswdd
install -m 755 %SOURCE3 $RPM_BUILD_ROOT/etc/rc.d/init.d/ypxfrd
# install sysconfig.ypserv
ln -sf ../../etc/init.d/yppasswdd   $RPM_BUILD_ROOT/usr/sbin/rcyppasswdd
ln -sf ../../etc/init.d/ypxfrd      $RPM_BUILD_ROOT/usr/sbin/rcypxfrd
ln -sf ../../etc/init.d/ypserv      $RPM_BUILD_ROOT/usr/sbin/rcypserv
mkdir -p $RPM_BUILD_ROOT/sbin/
mv $RPM_BUILD_ROOT%{_sbindir}/ypserv $RPM_BUILD_ROOT/sbin/ypserv

%clean
rm -rf $RPM_BUILD_ROOT

%post
#/sbin/chkconfig --add ypserv
#/sbin/chkconfig --add yppasswdd

%triggerpostun -- ypserv <= ypserv-1.3.0-2
#/sbin/chkconfig --add ypserv

%trigerpostun -- yppasswd
#/sbin/chkconfig --add yppasswdd

%postun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del ypserv
	/sbin/chkconfig --del yppasswdd
fi
 
%files
%defattr(-,root,root)
%doc NEWS README TODO COPYING ChangeLog
%config /etc/rc.d/init.d/yppasswdd
%config /etc/rc.d/init.d/ypserv
%config /etc/rc.d/init.d/ypxfrd
%config /var/yp/Makefile
%config(noreplace) /var/yp/securenets
%config /etc/ypserv.conf
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_includedir}/*
%{_libexecdir}
%{_sbindir}/*
/sbin/ypserv

%changelog
* Tue Jul 15 2003 Kawada Tsuyoshi <tsuyoshi@turbolinux.co.jp>
- 2.8-3
- modified init script

* Fri Jul 11 2003 Kawada Tsuyoshi <tsuyoshi@turbolinux.co.jp>
- 2.8-1
- update to 2.8
- security fix (CAN-2003-0251)

* Mon Oct 28 2002 Masaru Yokoi <masaru@turbolinux.co.jp>
- 1.3.11-9
- Security: ypserv-1.3.9-leak.patch to fix memory leak

* Mon Oct 22 2001 Kiichiro NAKA <knaka@turbolinux.co.jp>
- 1.3.11-8
- modified /sbin/ypserv not to require dynlibs of gdbm

* Tue Jul 26 2001 TAKEDA Hirofumi <takepin@turbolinux.co.jp>
- added runlevel at chkconfig: in init script

* Thu Jul 12 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- added security level in ypserv.init (setconfig/chkconfig-1.22)

* Fri Jun 22 2001 Mike Madore <mmadore@turbolinux.com>
- ypserv.h and ypxfrd.c had different definitions for children variable

* Wed May 30 2001 Quang Tran <qtran@turbolinux.com>
- included missing header file (time.h)

* Sat Oct  7 2000 Kazutomo Yoshii <kazutomo@turbolinux.co.jp>
- disabled netgrp and publickey as target map

* Tue Mar 28 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- modified group.byname in ypMakefile

* Mon Mar 27 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- upto 1.3.11

* Tue Aug 17 1999 Bill Nottingham <notting@redhat.com>
- initscript munging
- ypserv goes on root partition

* Fri Aug 13 1999 Cristian Gafton <gafton@redhat.com>
- version 1.3.7

* Thu Jul  1 1999 Bill Nottingham <notting@redhat.com>
- start after network FS

* Tue Jun  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.6.94.

* Sun May 30 1999 Jeff Johnson <jbj@redhat.com>
- improved daemonization.

* Sat May 29 1999 Jeff Johnson <jbj@redhat.com>
- fix buffer overflow in rpc.yppasswd (#3126).

* Fri May 28 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.6.92.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- version 1.3.6.91

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- move to start before ypbind

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- upgraded to 1.3.5

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- yppasswd.init: lock file must have same name as init.d script, not daemon

* Sat Jul 11 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.4
- fixed the fubared Makefile
- link against gdbm instead of ndbm (it seems to work better)

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.1
- enhanced init scripts

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun
- Use libdb fro dbp_*().

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.3.0

* Wed Dec 03 1997 Cristian Gafton <gafton@redhat.com>
- updated to 1.2.5
- added buildroot; updated spec file
- added yppasswdd init file

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- init script shouldn't set the domain name

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- supports chkconfig
- updated initscript for status and restart
- turned off in all runlevels, by default
- removed postinstall script which didn't do anything

* Thu Oct 09 1997 Erik Troan <ewt@redhat.com>
- added patch to build against later glibc

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Apr 23 1997 Erik Troan <ewt@redhat.com>
- updated to 1.1.7.

* Fri Mar 14 1997 Erik Troan <ewt@redhat.com>
- Updated to ypserv 1.1.5, ported to Alpha (glibc).

* Fri Mar 07 1997 Erik Troan <ewt@redhat.com>
- Removed -pedantic which confuses the SPARC :-(
